/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.tables.VCoreVariable;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreVariableRecord extends TableRecordImpl<VCoreVariableRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_variable.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_variable.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_variable.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_variable.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_variable.fk_valuelist</code>.
     */
    public void setFkValuelist(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable.fk_valuelist</code>.
     */
    public Integer getFkValuelist() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_variable.fk_missinglist</code>.
     */
    public void setFkMissinglist(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable.fk_missinglist</code>.
     */
    public Integer getFkMissinglist() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_variable.fk_unit</code>.
     */
    public void setFkUnit(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable.fk_unit</code>.
     */
    public Integer getFkUnit() {
        return (Integer) get(6);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreVariableRecord
     */
    public VCoreVariableRecord() {
        super(VCoreVariable.V_CORE_VARIABLE);
    }

    /**
     * Create a detached, initialised VCoreVariableRecord
     */
    public VCoreVariableRecord(LocalDateTime lastchange, Integer pk, Integer fkElement, EnumDatatype dataType, Integer fkValuelist, Integer fkMissinglist, Integer fkUnit) {
        super(VCoreVariable.V_CORE_VARIABLE);

        setLastchange(lastchange);
        setPk(pk);
        setFkElement(fkElement);
        setDataType(dataType);
        setFkValuelist(fkValuelist);
        setFkMissinglist(fkMissinglist);
        setFkUnit(fkUnit);
        resetChangedOnNotNull();
    }
}
